Bug 65704 - XFree86.0.log filled disk - :-(
XFree86.0.log filled disk - :-(
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 11:41 EDT by Richard Schaal
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-30 17:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schaal 2002-05-30 11:41:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-4smp i686)

Description of problem:
Verbose Logging apparently turned on during build - log is growing and growing
Is there a way to turn it off?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install "Everything"
2.Start X server
3."lock" screen and leave - disk fills with log file.
	

Actual Results:  System unable to do any useful work

Expected Results:  Log file should only contain startup diagnostics - not
prattle 

Additional info:

minl(40)
moutl(4, AD55)
moutl(C, 900)
moutl(18, 40D00D0)
minl(40)
moutl(8, 110015)
moutl(10, 1B6C3A)
minl(40)
minl(40)
moutl(4, 0)
moutl(C, 900)
moutl(18, 40D00D0)
minl(40)
moutl(8, 110015)
moutl(10, 1B6C3A)
minl(40)
minl(40)
moutl(4, AD55)
moutl(C, 900)
moutl(18, 40D00D0)
minl(40)
moutl(8, 110015)
moutl(10, 1B6C24)
minl(40)
minl(40)
moutl(4, 0)
moutl(C, 900)
moutl(18, 40D00D0)
minl(40)
moutl(8, 110015)
moutl(10, 1B6C24)
minl(40)
minl(40)
moutl(4, AD55)
moutl(C, 900)
moutl(18, 40D00D0)
minl(40)
moutl(8, 110015)
moutl(10, 1B6C3A)
minl(40)

This is the sort of prattle that is filling the disk.
Comment 1 Richard Schaal 2002-05-30 13:51:48 EDT
I looked into this further - there is a #define DEBUG in the file 
xc/programs/Xserver/hw/xfree86/drivers/cirrus/alp_xaam.c 
that should be disabled for the next build.
Comment 2 Mike A. Harris 2002-05-30 17:56:36 EDT
Indeed.  Someone must have been on crack to leave that enabled.  Funny that
nobody noticed it at XFree86.org or reported it until now.  I'll patch it
for our next build.

Thanks.
Comment 3 Mike A. Harris 2002-05-30 18:01:52 EDT
Applied to 4.2.0-50.12 in rawhide.
Comment 4 Mark J. Cox (Product Security) 2003-06-25 11:52:30 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-066.html

Note You need to log in before you can comment on or make changes to this bug.